
//
//  TANGradientView.h
//  Created by:	Todd Anthony Nathan
//  Date:		Wed Mar 12 22:37:50 GMT-0600 1997
///

//  Use this code at your own risk.  No warrenty is implied or
//  expressed as to its fitness.  All rights are reserved by the author.
//  You are free to use it for commercial gain, but always credit where
//  credit is due.
///

#import <appkit/appkit.h>

@interface TANGradientView:View
{
	NXColor	startColor;
	NXColor	endColor;
	float	rotation;
	int		steps;
}

// Getter and Setters
- setStartColor:(NXColor)newColor;
- setEndColor:(NXColor)newColor;
- setRotation:(float)newAngle;
- setSteps:(int)newSteps;

- (NXColor) startColor;
- (NXColor) endColor;
- (float) rotation;
- (int) steps;

@end